<?php
/**
 * @package admin
 * @copyright Copyright 2008 T Zinni
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: giftcard_admin.php 135171 2008-05-20 12:59:06Z nzinni $
 */

  require('includes/application_top.php');
  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();
  //clear global page vars to help prevent injection between pages
  $giftcard_result = '';
  $dbsql = '';
  $now = date("Y-m-d H:i:s", time());
  global $db;
  if ($_GET['selected_box'])
  {
    $_GET['action']='';
    $_GET['old_action']='';
  }
  //automatically grab updated info for current gift card to save time
  if ($_GET['gcid'] != '')
  {
     $dbsql = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] . "'";
     $giftcard_result = $db->Execute($dbsql);
     //always clear this when finished with it
     $dbsql = '';
  }

  switch ($_GET['action'])
  {
  	 // activates a new (existing) gift card only - allows for optional comments
     case 'gcactivate': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ." \n \n <BR>" .$now .": Activated ->" . $newcomment;
        $oldgcorder = $giftcard_result->fields['sale_order'];
        $newgcorder = $_POST['sale_order'];
        $oldgcbalance = $giftcard_result->fields['giftcard_balance'];
        $gcvalue = $giftcard_result->fields['giftcard_value'];
        	
        //make sure this is a new gift card - otherwise report
        if (($oldgcact != 'N')&&($oldgcbalance != 0)&&($oldgcorder != '')&&($oldcomment != ''))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ACTIVATED ." <BR>" .ERROR_GIFTCARD_PREVIOUS_ACTIVATED);
        	//send back to admin page
               zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN));
        }
        	
        //make sure we can set the account balance - otherwise report
        if (!$gcvalue > 0)
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ACTIVATED ." <BR>" .ERROR_GIFTCARD_NO_VALUE);
            //return to activate page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action=page_activate'));
        }
        //Seems all is OK
        //this is a new card so set account balance to face value, add comments, add order tracking, then activate
        $dbsql = "update giftcards set giftcard_active = 'Y', sale_order = '" .$newgcorder ."', comments = '" .$appended_comment ."', giftcard_balance = '" .$gcvalue ."', date_modified = '" .$now ."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_ACTIVATED ." <BR>" .ERROR_GIFTCARD_SUCCESS_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ACTIVATED ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to activation page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action=page_activate'));
        }
        break;
        
  	 // activates an existing gift card only - requires comments
     case 'gcreactivate': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ." \n \n <BR>" .$now .": Re-Activated -> \n <BR>" .$newcomment;
        $oldgcorder = $giftcard_result->fields['sale_order'];
        $oldgcbalance = $giftcard_result->fields['giftcard_balance'];
        $gcvalue = $giftcard_result->fields['giftcard_value'];
        	
        //make sure this is NOT a new gift card - otherwise report
        if (($oldgcact != 'N')||($gcvalue < $oldgcbalance)||($oldgcorder == ''))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_REACTIVATED ." <BR>" .ERROR_GIFTCARD_NOT_PREVIOUS_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        	
        //make sure the account balance has some value - otherwise report
        if (!$oldgcbalance > 0)
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_REACTIVATED ." <BR>" .ERROR_GIFTCARD_NO_BALANCE);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        	
        //make sure that if the account balance has some value we require a reason - otherwise report
        if (($oldgcbalance > 0)&&($newcomment == ''))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_REACTIVATED ." <BR>" .ERROR_GIFTCARD_NO_COMMENTS_BALANCE_RA);
               //return to re-activation page for editing
               zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action=page_reactivate'));
        }
        	
        //Seems all is OK
        //this is a new card so set account balance to face value, add comments, add order tracking, then activate
        $dbsql = "update giftcards set giftcard_active = 'Y', comments = '" .$appended_comment ."', date_modified = '" .$now."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_REACTIVATED ." <BR>" .ERROR_GIFTCARD_SUCCESS_REACTIVATED);
            //return to admin
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_REACTIVATED ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to activation page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action=page_reactivate'));
        }
        break;

  	 // deactivates an existing gift card only - requires comments
     case 'gclock': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ." \n \n <BR>" .$now .": Locked -> \n <BR>" .$newcomment;
        $oldgcbalance = $giftcard_result->fields['giftcard_balance'];
        $gcvalue = $giftcard_result->fields['giftcard_value'];
        	
        //make sure this giftcard is active - otherwise report
        if ($oldgcact == 'N')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_DEACTIVATED ." <BR>" .ERROR_GIFTCARD_NOT_PREVIOUS_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        	
        //make sure that if the account balance has some value we require a reason - otherwise report
        if (($oldgcbalance > 0)&&($newcomment == ''))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_DEACTIVATED ." <BR>" .ERROR_GIFTCARD_NO_COMMENTS_BALANCE_DA);
            //return to lock page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action=page_gclock'));
        }
        //Seems all is OK
        //add comments and deactivate
        $dbsql = "update giftcards set giftcard_active = 'N', comments = '" .$appended_comment ."', date_modified = '" .$now ."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_DEACTIVATED ." <BR>" .ERROR_GIFTCARD_SUCCESS_DEACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_DEACTIVATED ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to lock page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action=page_gclock'));
        }
        break;
        
  	 // createss a new gift card - allows for optional comments
     case 'gccreate': 
        $gcnum = $_POST['giftcard_code'];
        $gcvalue = $_POST['giftcard_value'];
        $gczone = $_POST['giftcard_zone_restriction'];
        	
        //make sure db not empty
        if ($giftcard_result != NULL)
        {
           //make sure this is a new gift card (unique number) - otherwise report
           while (!$giftcard_result->EOF)
           {
              if ($giftcard_result->fields['giftcard_code'] == $gcnum)
              {
        	     $giftcard_result = '';
        	     $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_CREATE ." <BR>" .ERROR_GIFTCARD_EXISTS);
        	     //return to insert page for editing
                 zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=&action=page_create'));
              }
              $giftcard_result->MoveNext();
           }
        }
        	 
        //allow only if face value supplied  - otherwise report
        if (($gcvalue == '')||(is_numeric($gcvalue) == false))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_CREATE ." <BR>" .ERROR_GIFTCARD_VALUE_NO_VALUE);
            //return to value page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_create'));
        } 
        	
        //Seems all is OK
        //this is a new card so set account balance to zero, add optional comments, set to inactive, set face value
        $dbsql = "insert into giftcards (giftcard_code, giftcard_value, giftcard_zone_restriction, date_created, date_modified) values('" .$gcnum ."', '" .$gcvalue ."', '" .$gczone ."', '" .$now ."', '" .$now ."')";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_CREATE ." <BR>" .ERROR_GIFTCARD_SUCCESS_CREATE);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' .$_GET['gcid'] .'&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_CREATE ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to insert page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=&action=page_create'));
        }
        break;
        
  	 // deletes an existing gift card if no account balance
     case 'gcdelete': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcbalance = $giftcard_result->fields['giftcard_balance'];
       	//make sure this gift card has a zero balance - otherwise report
        // - also checked by html so this is a security measure in case page bypassed
        if ($oldgcbalance > 0)
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_DELETE ." <BR>" .ERROR_GIFTCARD_NONZERO_BALANCE);
        	//return to delete page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_delete'));
        }
        	
        //Seems all is OK
        //this is a new card so set account balance to face value, add comments, add order tracking, then activate
        $dbsql = "delete from giftcards where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_DELETED ." <BR>" .ERROR_GIFTCARD_SUCCESS_DELETED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_DELETE ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to delete page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_delete'));
        }
        break;
        
  	 // activates a new (existing) gift card only - allows for optional comments
     case 'gceditcomments': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $newcomment = $_POST['comments'];
        $appended_comment = " \n \n <BR>" .$now .": Comments Edited -> \n <BR>" .$newcomment;
        	
        //allow only if card is activated  - otherwise report
        if ($oldgcact != 'Y')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ECOMMENTS ." <BR>" .ERROR_GIFTCARD_ECOMMENTS_NOT_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        	
        //abort if new comments field blank  - otherwise report
        if ($newcomment == '')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ECOMMENTS ." <BR>" .ERROR_GIFTCARD_ECOMMENTS_BLANK);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
 
        //Seems all is OK
        //the card is activated so comment editing is allowed
        $dbsql = "update giftcards set comments = '" .$appended_comment ."', date_modified = '" .$now ."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_ECOMMENTS ." <BR>" .ERROR_GIFTCARD_SUCCESS_ECOMMENTS);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ECOMMENTS ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to comments page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_comments'));
        }
        break;
        
  	 // edits the zone restriction - comments required
     case 'gceditzone': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $gczone = $_POST['giftcard_zone_restriction'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ." \n \n <BR>" .$now .": Zone Changed -> \n <BR>" .$newcomment;
        	
        //allow only if card is activated  - otherwise report
        if ($oldgcact == 'N')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ZONE ." <BR>" .ERROR_GIFTCARD_ZONE_NOT_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        	
        //allow only if comment supplied  - otherwise report
        if ($newcomment == '')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ZONE ." <BR>" .ERROR_GIFTCARD_ZONE_NO_COMMENTS);
            //return to zone page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_zone'));
        }
 
        //Seems all is OK
        //the card is activated so comment editing is allowed
        $dbsql = "update giftcards set giftcard_zone_restriction = '" .$gczone ."', comments = '".$appended_comment ."', date_modified = '" .$now."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_ZONE ." <BR>" .ERROR_GIFTCARD_SUCCESS_ZONE);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ZONE ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to zone page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_zone'));
        }
        break;
        
  	 // edits the gift card account balance - comments required
     case 'gceditbalance': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcbalance = $giftcard_result->fields['giftcard_balance'];
        $newgcbalance = $_POST['giftcard_balance'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ."\n \n <BR>" .$now .": Balance Edited ->  \n <BR>" .$newcomment;
        $gcvalue = $giftcard_result->fields['giftcard_value'];
        	
        //allow only if new balance supplied  - otherwise report
        if (($newgcbalance == '')||(is_numeric($newgcbalance) == false))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_BALANCE_NO_BALANCE);
            //return to value page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_balance'));
        }
        	
        //allow only if card is activated  - otherwise report
        if ($oldgcact == 'N')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_BALANCE_NOT_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        	
        //make sure the new balance is still less than the face value - otherwise report
        if ($newgcbalance > $gcvalue)
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_BALANCE_EXCEEDS_VALUE);
            //return to balance page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_balance'));
        }
        	
        //allow only if comment supplied  - otherwise report
        if ($newcomment == '')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_BALANCE_NO_COMMENTS);
            //return to balance page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_balance'));
        }
 
        //Seems all is OK
        //the card is activated so comment editing is allowed
        $dbsql = "update giftcards set giftcard_balance = '" .$newgcbalance ."', comments = '".$appended_comment ."', date_modified = '" .$now ."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_SUCCESS_BALANCE);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to balance page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_balance'));
        }
        break;
        
  	 // edits the gift card face value - comments required
     case 'gceditvalue': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $oldgcbalance = $giftcard_result->fields['giftcard_balance'];
        $newgcvalue = $_POST['giftcard_value'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ." \n \n <BR>" .$now .": Face Value Edited -> \n <BR>" .$newcomment;
        //$gcvalue = $giftcard_result[TABLE_GIFTCARDS_VALUE];
        	
        //allow only if card is activated  - otherwise report
        if ($oldgcact == 'N')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_VALUE ." <BR>" .ERROR_GIFTCARD_VALUE_NOT_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        	
        //allow only if new value supplied  - otherwise report
        if (($newgcvalue == '')||(is_numeric($newgcvalue) == false))
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_VALUE ." <BR>" .ERROR_GIFTCARD_VALUE_NO_VALUE);
            //return to value page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_value'));
        }
        	
        //make sure the new value is still greater than the account balance - otherwise report
        if ($newgcvalue < $oldgcbalance)
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_VALUE ." <BR>" .ERROR_GIFTCARD_VALUE_EXCEEDS_BALANCE);
            //return to value page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_value'));
        }
        	
        //allow only if comment supplied  - otherwise report
        if ($newcomment == '')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_VALUE ." <BR>" .ERROR_GIFTCARD_VALUE_NO_COMMENTS);
            //return to value page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_value'));
        }
 
        //Seems all is OK
        $dbsql = "update giftcards set giftcard_value = '" .$newgcvalue ."', comments = '" .$appended_comment ."', date_modified = '" .$now ."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_BALANCE ." <BR>" .ERROR_GIFTCARD_SUCCESS_BALANCE);
            //return to admin
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_VALUE ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to value page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_value'));
        }
        break;
        
  	 // edits the gift card purchase order number - comments required
     case 'gceditorder': 
        $gcnum = $giftcard_result->fields['giftcard_code'];
        $newgcorder = $_POST['sale_order'];
        $oldgcact = $giftcard_result->fields['giftcard_active'];
        $oldcomment = $giftcard_result->fields['comments'];
        $newcomment = $_POST['comments'];
        $appended_comment = $oldcomment ." \n \n <BR>" .$now .": Order # Edited -> \n <BR>" .$newcomment;
        	
        //allow only if order num not blank  - otherwise report
        if ($newgcorder == '')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ORDER ." <BR>" .ERROR_GIFTCARD_ORDER_NO_ORDER);
            //return to order edit page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_order'));
        }
        	
        //allow only if card is activated  - otherwise report
        if ($oldgcact == 'N')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ORDER ." <BR>" .ERROR_GIFTCARD_ORDER_NOT_ACTIVATED);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        	
        //allow only if comment supplied  - otherwise report
        if ($newcomment == '')
        {
        	$giftcard_result = '';
        	$messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ORDER ." <BR>" .ERROR_GIFTCARD_ORDER_NO_COMMENTS);
            //return to order page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_order'));
        }
 
        //Seems all is OK
        $dbsql = "update giftcards set sale_order = '" .$newgcorder ."', comments = '".$appended_comment ."', date_modified = '" .$now ."' where giftcard_code = '" .$gcnum. "'";
        if ($db->Execute($dbsql))
        {
            $dbsql = '';
            $giftcard_result = '';
            //success -report
            $messageStack->add_session(ERR_HEADER_SUCCESS_GIFTCARD_ORDER ." <BR>" .ERROR_GIFTCARD_SUCCESS_ORDER);
            //return to admin page
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action='));
        }
        else 
        {
            $dbsql = '';
            $giftcard_result = '';
            //there was a db error - report
            $messageStack->add_session(ERR_HEADER_FAILED_GIFTCARD_ORDER ." <BR>" .ERROR_GIFTCARD_FAILED_DB);
            //return to order page for editing
            zen_redirect(zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $_GET['gcid'] . '&action=page_order'));
        }
        break;
     default: 
        break;
  }
?>
   <!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
      <html <?php echo HTML_PARAMS; ?>>
         <head>
            <meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
            <title><?php echo TITLE; ?></title>
            <link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
            <link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
            <script language="javascript" src="includes/menu.js"></script>
            <script language="javascript" src="includes/general.js"></script>
            <link rel="stylesheet" type="text/css" href="includes/javascript/spiffyCal/spiffyCal_v2_1.css">
            <script language="JavaScript" src="includes/javascript/spiffyCal/spiffyCal_v2_1.js"></script>
            <script language="javascript">
               var dateAvailable = new ctlSpiffyCalendarBox("dateAvailable", "new_product", "products_date_available","btnDate1","<?php echo $pInfo->products_date_available; ?>",scBTNMODE_CUSTOMBLUE);
            </script>
        </head>
        <body>
           <div id="spiffycalendar" class="text"></div>
           <!-- header //-->
           <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
           <!-- header_eof //-->

           <!-- body //-->
           <table border="0" width="100%" cellspacing="2" cellpadding="2">
              <tr>
                 <!-- body_text //-->
                 <?php
                    switch ($_GET['action'])
                    {
                       case 'page_order':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_ORDER_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gceditorder&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo zen_draw_textarea_field('sale_order',false,'5','1',$gc_list->fields['sale_order']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_save.gif',GIFTCARD_BUTTON_ORDER);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;

                       case 'page_zone':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_ZONE_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gceditzone&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo zen_geo_zones_pull_down_coupon('name="giftcard_zone_restriction" style="font-size:10px"', $_POST['giftcard_zone_restriction']); ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_save.gif',GIFTCARD_BUTTON_ZONE);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;                          
                          
                       case 'page_balance':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_BALANCE_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gceditbalance&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo zen_draw_textarea_field('giftcard_balance',false,'5','1',$gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_save.gif',GIFTCARD_BUTTON_BALANCE);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_value':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_VALUE_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gceditvalue&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo zen_draw_textarea_field('giftcard_value',false,'5','1',$gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_save.gif',GIFTCARD_BUTTON_VALUE);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_comments':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_COMMENTS_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gceditcomments&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10',$gc_list->fields['comments']); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_save.gif',GIFTCARD_BUTTON_COMMENTS);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_reactivate':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_REACTIVATE_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gcreactivate&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_unlock.gif',GIFTCARD_BUTTON_REACTIVATE);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_gclock':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_LOCK_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gclock&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (REQUIRED)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',true,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_lock.gif',GIFTCARD_BUTTON_LOCK);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_activate':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_ACTIVATE_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gcactivate&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo zen_draw_input_field('sale_order', $_POST['sale_order'],'',true); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td colspan="6">
                                              <hr width="100%" />
                                           </td>
                                        </tr>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS ." (Optional)"; ?>
                                           </td>
                                           <td class="dataTableContent" colspan="5" align="center">
                                              <?php echo zen_draw_textarea_field('comments',false,'100','10'); ?>
                                           </td>
                                        </tr>
                                        <tr align="center">
                                           <td align="left">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="right">
                                              <?php
                                                 echo zen_image_submit('button_unlock.gif',GIFTCARD_BUTTON_ACTIVATE);
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_delete':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_DELETE_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gcdelete&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS; ?>
                                           </td>
                                        </tr>
                                        <?php
                                           $gc_query_raw = "select * from giftcards where giftcard_id = '" . $_GET['gcid'] ."'";
                                           $gc_list = $db->Execute($gc_query_raw);
                                        ?>
                                        <tr class="dataTableRowSelected">
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                           <td class="dataTableContent" width="100%" align="center">
                                              <?php echo $gc_list->fields['comments']; ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td align="left" colspan="7">
                                              <?php
                                                 if ($gc_list->fields['giftcard_balance'] <= 0) 
                                                 {
                                                    echo TEXT_CONFIRM_DELETE;
                                                 }
                                                 else 
                                                 {
                                                 	echo ERROR_GIFTCARD_NONZERO_BALANCE;
                                                 }
                                              ?>
                                           </td>
                                        </tr>
                                        <tr>
                                           <td align="center" colspan="3">
                                              <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                           </td>
                                           <td align="center" colspan="4">
                                              <?php
                                                 if ($gc_list->fields['giftcard_balance'] <= 0) 
                                                 {
                                                    echo zen_image_submit('button_delete.gif',GIFTCARD_BUTTON_DELETE);
                                                 }
                                              ?>
                                           </td>
                                        </tr>
                                     </td>
                                  </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                          
                       case 'page_create':
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td>
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo TEXT_HEADING_NEW_GIFTCARD; ?>
                                   </td>
                                   <td class="pageHeading" align="right">
                                      <?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?>
                                   </td>
                                </tr>
                             </table>
                          </td>
                       </tr>
                       <tr>
                          <td>
                             <?php
                                echo zen_draw_form('giftcard', FILENAME_GIFTCARD_ADMIN, 'action=gccreate&oldaction=' . $_GET['action'] . '&gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''));
                             ?>
                             <table border="0" width="100%" cellspacing="0" cellpadding="6">
                                <tr>
                                   <td align="left" class="main">
                                      <?php echo LABEL_GIFTCARD_CODE; ?>
                                   </td>
                                   <td align="left">
                                      <?php echo zen_draw_input_field('giftcard_code', $_POST['giftcard_code'],'',true); ?>
                                   </td>
                                   <td align="left" class="main">
                                      <?php echo GIFTCARD_CODE_HELP; ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td align="left" class="main">
                                      <?php echo LABEL_GIFTCARD_VALUE; ?>
                                   </td>
                                   <td align="left">
                                      <?php echo zen_draw_input_field('giftcard_value', $_POST['giftcard_value'],'',true); ?>
                                   </td>
                                   <td align="left" class="main">
                                      <?php echo GIFTCARD_VALUE_HELP; ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td align="left" class="main">
                                      <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                   </td>
                                   <td align="left">
                                      <?php echo zen_geo_zones_pull_down_coupon('name="giftcard_zone_restriction" style="font-size:10px"', $_POST['giftcard_zone_restriction']); ?>
                                   </td>
                                   <td align="left" class="main">
                                      <?php echo GIFTCARD_ZONE_RESTRICTION_HELP; ?>
                                   </td>
                                </tr>
                                <tr>
                                   <td align="center">
                                      <?php echo zen_image_submit('button_insert.gif',GIFTCARD_BUTTON_INSERT); ?>
                                   </td>
                                   <td align="center">&nbsp;&nbsp;
                                      <a href="<?php echo zen_href_link(FILENAME_GIFTCARD_ADMIN, 'gcid=' . $_GET['gcid'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')); ?>"><?php echo zen_image_button('button_cancel.gif', IMAGE_CANCEL); ?></a>
                                   </td>
                                </tr>
                             </table></form>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php
                          break;
                       default:
                 ?>
                 <td width="100%" valign="top">
                    <table border="0" width="100%" cellspacing="0" cellpadding="2">
                       <tr>
                          <td width="100%">
                             <table border="0" width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                   <td class="pageHeading">
                                      <?php echo HEADING_TITLE; ?>
                                   </td>
                                   <td class="main">
                                     <?php echo zen_draw_form('status', FILENAME_GIFTCARD_ADMIN, '', 'get');
                                        $status_array[] = array('id' => 'Y', 'text' => TEXT_GIFTCARD_ACTIVE);
                                        $status_array[] = array('id' => 'N', 'text' => TEXT_GIFTCARD_INACTIVE);
                                        $status_array[] = array('id' => '*', 'text' => TEXT_GIFTCARD_ALL);
                                        if ($_GET['status'])
                                        {
                                           $status = zen_db_prepare_input($_GET['status']);
                                        }
                                        else
                                        {
                                           $status = '*';
                                        }
                                        echo zen_hide_session_id();
                                        echo HEADING_TITLE_STATUS . ' ' . zen_draw_pull_down_menu('status', $status_array, $status, 'onChange="this.form.submit();"') .
                                        zen_draw_hidden_field('page', $_GET['page']);
                                     ?>
                                     </form>
                                  </td>
                                  <td class="main">
                                  </td>
                               </tr>
                            </table>
                         </td>
                      </tr>
                      <tr>
                         <td>
                            <table border="0" width="100%" cellspacing="0" cellpadding="0">
                               <tr>
                                  <td valign="top">
                                     <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                        <tr class="dataTableHeadingRow">
                                           <td class="dataTableHeadingContent">
                                              <?php echo LABEL_GIFTCARD_CODE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_VALUE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_BALANCE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ACTIVE; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_SALE_ORDER; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_ZONE_RESTRICTION; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="center">
                                              <?php echo LABEL_GIFTCARD_COMMENTS; ?>
                                           </td>
                                           <td class="dataTableHeadingContent" align="right">
                                              <?php echo TABLE_HEADING_ACTION; ?>&nbsp;
                                           </td>
                                        </tr>
                                        <?php
                                           if ($_GET['page'] > 1)
                                           {
                                              $rows = $_GET['page'] * 20 - 20;
                                           }
                                           if ($status != '*')
                                           {
                                              $gc_query_raw = "select * from giftcards where giftcard_active = '" . zen_db_input($status) ."'";
                                           }
                                           else
                                           {
                                              $gc_query_raw = "select * from giftcards";
                                           }
                                           $gc_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS_GIFTCARDS, $gc_query_raw, $gc_query_numrows);
                                           $gc_list = $db->Execute($gc_query_raw);
                                           while (!$gc_list->EOF)
                                           {
                                              $rows++;
                                              if (strlen($rows) < 2)
                                              {
                                                 $rows = '0' . $rows;
                                              }
                                              if (((!$_GET['gcid']) || (@$_GET['gcid'] == $gc_list->fields['giftcard_id'])) && (!$gcInfo))
                                              {
                                                 $gcInfo = new objectInfo($gc_list->fields);
                                              }
                                              if ( (is_object($gcInfo)) && ($gc_list->fields['giftcard_id'] == $gcInfo->giftcard_id) )
                                              {
                                                 echo '          <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . zen_href_link(FILENAME_GIFTCARD_ADMIN, zen_get_all_get_params(array('gcid', 'action')) . 'gcid=' . $gcInfo->giftcard_id . '&action=giftcardedit') . '\'">' . "\n";
                                              }
                                              else
                                              {
                                                 echo '          <tr class="dataTableRow" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'dataTableRow\'" onclick="document.location.href=\'' . zen_href_link(FILENAME_GIFTCARD_ADMIN, zen_get_all_get_params(array('gcid', 'action')) . 'gcid=' . $gc_list->fields['giftcard_id']) . '\'">' . "\n";
                                              }
                                        ?>
                                     &nbsp;</td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_code']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_value']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $currencies->format($gc_list->fields['giftcard_balance']); ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_active']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['sale_order']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['giftcard_zone_restriction']; ?>
                                           </td>
                                           <td class="dataTableContent" align="center">
                                              <?php echo $gc_list->fields['comments']; ?>
                                           </td>
                                           <td class="dataTableContent" align="right">
                                              <?php if ( (is_object($gcInfo)) && ($gc_list->fields['giftcard_id'] == $gcInfo->giftcard_id) )
                                                    {
                                                    	echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif');
                                                    }
                                                    else
                                                    {
                                                       echo '<a href="' . zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $gc_list->fields['giftcard_id'] . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '')) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>';
                                                    }
                                              ?>&nbsp;
                                           </td>
                                        </tr>
                                        <?php
                                              $gc_list->MoveNext();
                                           }
                                        ?>
                                        <tr>
                                          <td colspan="7">
                                             <table border="0" width="100%" cellspacing="0" cellpadding="2">
                                                <tr>
                                                   <td class="smallText">&nbsp;
                                                      <?php echo $gc_split->display_count($gc_query_numrows, MAX_DISPLAY_SEARCH_RESULTS_GIFTCARDS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_GIFTCARDS); ?>&nbsp;
                                                   </td>
                                                   <td align="right" class="smallText">&nbsp;
                                                      <?php echo $gc_split->display_links($gc_query_numrows, MAX_DISPLAY_SEARCH_RESULTS_GIFTCARDS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], (isset($_GET['status']) ? '&status=' . $_GET['status'] : '')); ?>&nbsp;
                                                   </td>
                                                </tr>
                                                <tr>
                                                   <td align="right" colspan="2" class="smallText">
                                                      <?php echo '<a href="' . zen_href_link(FILENAME_GIFTCARD_ADMIN, 'page=' . $_GET['page'] . '&gcid=' . $gcInfo->giftcard_id . '&action=page_create') . '">' . zen_image_button('button_insert.gif', IMAGE_INSERT) . '</a>'; ?>
                                                   </td>
                                                </tr>
                                             </table>
                                          </td>
                                        </tr>
                                     </table>
                                  </td><!--
                                  ---  begin summary box ---
                                    --><?php
                                       $heading = array();
                                       $contents = array();
                                       $heading[] = array('text'=>'['.$gcInfo->giftcard_id.']  '.$gcInfo->giftcard_code);
                                              $amount = $gcInfo->giftcard_value;
                                              $amount = $currencies->format($amount);
                                              $balance = $gcInfo->giftcard_balance;
                                              $balance = $currencies->format($balance);
                                              $activation = $gcInfo->giftcard_active;
                                              $init_order = $gcInfo->sale_order;
                                              $comments = $gcInfo->comments;
                                              $contents[] = array('text'=>LABEL_GIFTCARD_CODE . '&nbsp;::&nbsp; ' . $gcInfo->giftcard_code . '<br />' .
                                                                          LABEL_GIFTCARD_VALUE . '&nbsp;::&nbsp; ' . $amount . '<br />' .
                                                                          LABEL_GIFTCARD_BALANCE . '&nbsp;::&nbsp; ' . $balance . '<br />' .
                                                                          LABEL_GIFTCARD_ACTIVE . '&nbsp;::&nbsp; ' . $activation . '<br />' .
                                                                          LABEL_GIFTCARD_SALE_ORDER . '&nbsp;::&nbsp; ' . $init_order . '<br />' .
                                                                          LABEL_DATE_CREATED . '&nbsp;::&nbsp; ' . zen_date_short($gcInfo->date_created) . '<br />' .
                                                                          LABEL_DATE_MODIFIED . '&nbsp;::&nbsp; ' . zen_date_short($gcInfo->date_modified) . '<br /><br />' .
                                                                          LABEL_GIFTCARD_ZONE_RESTRICTION . '&nbsp;::&nbsp; ' . zen_get_geo_zone_name($gcInfo->giftcard_zone_restriction) . '<br /><br />' .
                                                                          LABEL_GIFTCARD_COMMENTS . '&nbsp;::&nbsp; ' . $comments . '<br />' .
                                                                          ($gcInfo->giftcard_code != '' ?
                                                                                    '<center><a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_delete&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_delete.gif',GIFTCARD_BUTTON_DELETE).'</a>' .
                                                                                    '<br /></center>'
                                                                                    : ' Current ID: ' . $gcInfo->giftcard_id . ' - ' . $_GET['gcid'])
                                                                 );
                                        ?>
                                  <td width="25%" valign="top">
                                     <?php
                                        $box = new box;
                                        echo $box->infoBox($heading, $contents);
                                        echo "\n";
                                        //show activate (unlock) button
                                        if (($gcInfo->giftcard_active == 'N')&&($gcInfo->giftcard_balance == 0)&&($gcInfo->sale_order == '')&&($gcInfo->comments == ''))
                                        {
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_activate&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_unlock.gif',GIFTCARD_BUTTON_ACTIVATE).'</a>';
                                        }
                                        //show lock button
                                        if (($gcInfo->giftcard_active == 'Y')&&($gcInfo->sale_order != ''))
                                        {
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_gclock&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_lock.gif',GIFTCARD_BUTTON_LOCK).'</a>';
                                        }
                                        //show re-activate (unlock) button
                                        if (($gcInfo->giftcard_active == 'N')&&($gcInfo->giftcard_balance > 0)&&($gcInfo->sale_order != '')&&($gcInfo->comments != ''))
                                        {
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_reactivate&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_unlock.gif',GIFTCARD_BUTTON_REACTIVATE).'</a>';
                                        }
                                        //show edit comments (unlock) button
                                        //show edit value (price manager) button
                                        //show edit balance (reset) button
                                        //show edit order info (order) button
                                        //show edit zone (zones) button
                                        if (($gcInfo->giftcard_active == 'Y'))
                                        {
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_comments&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_details.gif',GIFTCARD_BUTTON_COMMENTS).'</a>';
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_value&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_products_price_manager.gif',GIFTCARD_BUTTON_VALUE).'</a>';
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_balance&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_reset.gif',GIFTCARD_BUTTON_BALANCE).'</a>';
                                        	echo '<br><a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_order&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_order.gif',GIFTCARD_BUTTON_ORDER).'</a>';
                                        	echo '<a href="'.zen_href_link(FILENAME_GIFTCARD_ADMIN,'action=page_zone&gcid='.$gcInfo->giftcard_id . (isset($_GET['status']) ? '&status=' . $_GET['status'] : '') . (isset($_GET['page']) ? '&page=' . $_GET['page'] : ''),'NONSSL').'">'.zen_image_button('button_define_zones.gif',GIFTCARD_BUTTON_ZONE).'</a>';
                                        }
                                     ?><!--
                                     --- end summary box ---
                                  --></td>
                               </tr>
                             </table>
                          </td>
                       </tr>
                    </table>
                 </td>
                 <?php  } ?>
                 <!-- body_text_eof //-->
              </tr>
           </table>
           <!-- body_eof //-->
           <!-- footer //-->
              <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
           <!-- footer_eof //-->
         </body>
      </html>
     <?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
